我正在尝试使用POST https://largescalematrix.router.hereapi.com/v1/matrix应用编程接口。您能告诉我如何使用它与apiKey而不是令牌吗?举个例子就好了。
在此之前,非常感谢您。
马丁
发布于 2020-01-17 19:36:10
目前这里接口提供的是token作为安全原因,而不是apiKey/app_code
POST https://largescalematrix.router.hereapi.com/v1/matrix
Authorization: Bearer <TOKEN>
Content-Type: application/json
Body:
{
"origins": [{"lat": 0.0, "lng": 0.0}, {"lat": 0.1, "lng": 0.1}, ...],
"destinations": [...], // if omitted same as origins
"regionDefinition": {
"type": "circle",
"center": {"lat": 0.0, "lng": 0.0},
"radius": 10000
}
}https://developer.here.com/documentation/large-matrix/dev_guide/topics/get-started/send-request.html
要生成令牌,请发送此post请求-
此外,您还可以查看这篇文章以更好地理解token-vector api, 401 http error code, Signature mismatch. Authorization signature or client credential is wrong
https://stackoverflow.com/questions/59506776
复制相似问题